summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorxDShot2016-03-30 19:44:59 +0300
committerxDShot2016-03-30 19:44:59 +0300
commitf3d68635fd2a46d6620a3d7ec6ef5dff9b3a8dae (patch)
treeac620fe0ba74a1d96c546de53a560c0f5492da7e
downloadaur-f3d68635fd2a46d6620a3d7ec6ef5dff9b3a8dae.tar.gz
Initial commit
-rw-r--r--.SRCINFO28
-rw-r--r--PKGBUILD48
-rw-r--r--darkplaces-xonotic.desktop11
-rw-r--r--darkplaces-xonotic.install14
4 files changed, 101 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..12ed440a2e2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,28 @@
+pkgbase = darkplaces-xonotic
+ pkgdesc = An advanced Quake 1 game engine (Xonotic branch)
+ pkgver = 0.8.1
+ pkgrel = 1
+ url = http://icculus.org/twilight/darkplaces/
+ install = darkplaces-xonotic.install
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = xextproto
+ makedepends = xf86dgaproto
+ makedepends = xf86vidmodeproto
+ makedepends = xproto
+ depends = alsa-lib
+ depends = hicolor-icon-theme
+ depends = libjpeg-turbo
+ depends = libxpm
+ depends = libxxf86vm
+ depends = sdl2
+ provides = darkplaces
+ conflicts = darkplaces
+ source = https://github.com/xonotic/darkplaces/archive/xonotic-v0.8.1.tar.gz
+ source = darkplaces-xonotic.desktop
+ sha256sums = 61c2225e7a740af3111e4ebb260d7aceddd7e1f3e632b39f6dae22150097c431
+ sha256sums = 476f513f85da873ce93c89f2078bf9c2ea244e3e13a19c6ab02e818ddf221c37
+
+pkgname = darkplaces-xonotic
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..12f5c83ee54
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Arkham <arkham at archlinux dot us>
+# Contributor: Christoph Zeiler <archNOSPAM_at_moonblade.dot.org>
+# Contributor: Paul Bredbury <brebs@sent.com>
+# Contributor: Mikhail Burdin <xdshot9000@gmail.com>
+
+pkgname=darkplaces-xonotic
+pkgver=0.8.1
+pkgrel=1
+pkgdesc="An advanced Quake 1 game engine (Xonotic branch)"
+arch=('i686' 'x86_64')
+url="http://icculus.org/twilight/darkplaces/"
+license=('GPL2')
+depends=('alsa-lib' 'hicolor-icon-theme' 'libjpeg-turbo' 'libxpm' 'libxxf86vm' 'sdl2')
+makedepends=('xextproto' 'xf86dgaproto' 'xf86vidmodeproto' 'xproto')
+conflicts=('darkplaces')
+provides=('darkplaces')
+install=$pkgname.install
+source=(https://github.com/xonotic/darkplaces/archive/xonotic-v$pkgver.tar.gz
+ $pkgname.desktop)
+sha256sums=('61c2225e7a740af3111e4ebb260d7aceddd7e1f3e632b39f6dae22150097c431'
+ '476f513f85da873ce93c89f2078bf9c2ea244e3e13a19c6ab02e818ddf221c37')
+
+build() {
+ # Extract the package
+ cd "${srcdir}/${pkgname}-v${pkgver}"
+
+ # Make sure Darkplaces is not compiled with -j > 1.
+ MAKEFLAGS="${MAKEFLAGS} -j1"
+
+ # Compile
+ sed -i -e '1i DP_LINK_TO_LIBJPEG=1' makefile
+ #make OPTIM_RELEASE="${CFLAGS}" DP_FS_BASEDIR=/usr/share/quake release || return 1
+ make OPTIM_RELEASE="${CFLAGS}" DP_FS_BASEDIR=/usr/share/quake cl-release
+ make OPTIM_RELEASE="${CFLAGS}" DP_FS_BASEDIR=/usr/share/quake sdl2-release
+ make OPTIM_RELEASE="${CFLAGS}" DP_FS_BASEDIR=/usr/share/quake sv-release
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-v${pkgver}"
+ install -d $pkgdir/usr/{bin,share/quake}
+ install -m755 darkplaces-{dedicated,glx,sdl} $pkgdir/usr/bin
+
+ for i in 16 24 32 48 64 72; do
+ install -Dm644 darkplaces${i}x${i}.png $pkgdir/usr/share/icons/hicolor/${i}x${i}/apps/darkplaces.png
+ done
+
+ install -Dm644 $srcdir/$pkgname.desktop $pkgdir/usr/share/applications/$pkgname.desktop
+}
diff --git a/darkplaces-xonotic.desktop b/darkplaces-xonotic.desktop
new file mode 100644
index 00000000000..2c69559667d
--- /dev/null
+++ b/darkplaces-xonotic.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Exec=darkplaces-sdl
+Icon=darkplaces
+Type=Application
+Categories=Game;ActionGame;
+Name=Darkplaces
+GenericName=Quake Engine
+Comment=Play Quake with the Darkplaces engine
+StartupNotify=true
+Terminal=false
diff --git a/darkplaces-xonotic.install b/darkplaces-xonotic.install
new file mode 100644
index 00000000000..17f88a71258
--- /dev/null
+++ b/darkplaces-xonotic.install
@@ -0,0 +1,14 @@
+post_install() {
+ echo ">>> You need the Quake 1 data to play."
+ echo ">>> Copy your \"id1\" directory to /usr/share/quake"
+ post_upgrade
+}
+
+post_upgrade() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_remove() {
+ post_upgrade
+} \ No newline at end of file